package org.opengroup.osdu.register.provider.gcp.verifier;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.opengroup.osdu.register.utils.AppServiceConfig;
import org.powermock.modules.junit4.PowerMockRunner;

@RunWith(PowerMockRunner.class)
public class GsaTokenVerifierImplTest {

  @Mock
  private AppServiceConfig serviceConfig;
  @InjectMocks
  private GsaTokenVerifierImpl gsaTokenVerifier;

  @Test
  public void verify_true_whenTokenEmpty() throws Exception {
    assertTrue(gsaTokenVerifier.verify(""));
  }

  @Test
  public void verify_true_whenTokenNull() throws Exception {
    assertTrue(gsaTokenVerifier.verify(null));
  }

  @Test
  public void verify_false_whenTokenInvalid() throws Exception {
    assertFalse(gsaTokenVerifier.verify("token"));
  }
}