/*
  Copyright 2021 Google LLC
  Copyright 2021 EPAM Systems, Inc

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */

package org.opengroup.osdu.register.provider.reference.verifier;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.opengroup.osdu.register.utils.AppServiceConfig;
import org.powermock.modules.junit4.PowerMockRunner;

@RunWith(PowerMockRunner.class)
public class GsaTokenVerifierImplTest {

  @Mock
  private AppServiceConfig serviceConfig;

  @InjectMocks
  private GsaTokenVerifierImpl gsaTokenVerifier;

  @Test
  public void verify_true_whenTokenEmpty() throws Exception {
    assertTrue(gsaTokenVerifier.verify(""));
  }

  @Test
  public void verify_true_whenTokenNull() throws Exception {
    assertTrue(gsaTokenVerifier.verify(null));
  }

  @Test
  public void verify_false_whenTokenInvalid() throws Exception {
    assertFalse(gsaTokenVerifier.verify("token"));
  }
}
